Apache start - libssh2.dll icuuc62.dll are missing


  • | 336 points

    Hello!
    I installed new build of Laragon (08/05), and when starting apache, got this:
    " apache cannot be started as libssh2.dll icuuc62.dll are missing "
    Why this error appeared? ( there were no such problems with previous build )
    My system Windows 7 64 bit
    And where to go, what to seek, what to install, what to do?
    Thanks!


  • administrators
    | 123015 points

    @dizer : I guess there is a collision between .dll libraries of Apache & PHP.
    You can fix this by adding new Apache & PHP:
    https://forum.laragon.org/topic/165/tutorial-how-to-add-another-apache-version
    https://forum.laragon.org/topic/166/tutorial-how-to-add-another-php-version


  • | 283 points

    @dizer

    Dear dizer:

    I also ran into this problem.

    But for me it was that the files libssh2.dll and icuu63.dll are missing.

    The funny thing about it is, that the first time I ran into this issue I tired to add php 7 and Apache 2.4 to Laragon Portable.
    This threw the error message complaining about said files. Then I searched the web and found your post here. I read the answer of leokhoa and read the text in his linked pages. But since this is what I had done in the first place to get Apache and php 7 for the portable version of Laragon, I gave up.

    OK, I thought, I don't like installed programs but for something as great as Laragon, I will install Laragon Lite.

    After installing Laragon Lite, rebooting of my computer and running Laragon, I again was greeted with the error messages claiming that the files libssh2.dll and icuu63.dll are missing.

    It's a pity that something like two missing dlls prohibits the use of a very interesting WAMP stack.

    So I guess I have to stay with Uniform Server, but I still would like to give Laragon a try.

    By the way: I'm running Windows 8.1.

    Best regards,
    AfraidOfServers


  • | 336 points

    Dear AfraidOfServers, recently I started to use Laragon again after a break period, I've installed its latest version and, when starting Apache, again faced an almost the same problem.
    The following errors were reported:

    "The enter point of SSL_CTX_set_ciphersuites is not found"
    "the icuuc63.dll is missing"

    Well, I went to Apache and PHP developers sites, downloaded and installed the latest versions of them.
    Now when starting Apache everything seems to work well..
    I suppose, to avoid compatibility issues and conflicts, one should update apache, php and nginx releases to latest and fixed versions.

    Regards!


Log in to reply
 

Looks like your connection to Laragon was lost, please wait while we try to reconnect.